---
updatedAt: 2026-08-13T23:51:37.000Z
---

# Delete creative associations

Delete one or more creative associations between Creatives and a Line Item. If query parameters are provided, performs a bulk delete; otherwise deletes all associations.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Core API Resources",
    "version": "2.0.0",
    "description": "Buzz API v2"
  },
  "paths": {
    "/line-items/{line_item_id}/creatives": {
      "delete": {
        "operationId": "line_items_creatives_destroy",
        "description": "Delete one or more creative associations between Creatives and a Line Item. If query parameters are provided, performs a bulk delete; otherwise deletes all associations.",
        "summary": "Delete creative associations",
        "parameters": [
          {
            "in": "path",
            "name": "line_item_id",
            "schema": {
              "type": "integer"
            },
            "required": true
          }
        ],
        "tags": [
          "Line Items"
        ],
        "security": [
          {
            "nestSessionAuth": []
          },
          {
            "nestBasicAuth": []
          }
        ],
        "responses": {
          "204": {
            "description": "Creative associations deleted successfully."
          },
          "400": {
            "description": "Invalid delete request."
          },
          "401": {
            "description": "Authentication required."
          },
          "403": {
            "description": "Permission denied."
          },
          "500": {
            "description": "Internal server error."
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "nestBasicAuth": {
        "type": "http",
        "scheme": "basic",
        "description": "Form-based Basic Authentication"
      },
      "nestSessionAuth": {
        "type": "http",
        "scheme": "basic",
        "description": "Form-based Basic Authentication"
      }
    }
  },
  "x-explorer-enabled": false,
  "x-samples-languages": [
    "curl",
    "node",
    "ruby",
    "javascript",
    "python",
    "php",
    "java"
  ],
  "servers": [
    {
      "url": "https://{buzz_key}.api.beeswax.com/rest/v2",
      "variables": {
        "buzz_key": {
          "default": "stingersbx",
          "description": "Unique customer ID assigned by the Beeswax"
        }
      }
    }
  ],
  "x-readme": {
    "apply-endpoint-order": true,
    "apply-tag-changes": true
  }
}
```